// Learn cc.Class:
//  - https://docs.cocos.com/creator/manual/en/scripting/class.html
// Learn Attribute:
//  - https://docs.cocos.com/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - https://docs.cocos.com/creator/manual/en/scripting/life-cycle-callbacks.html
var ItemsType = cc.Enum({ //部位
    weapon_left: 0, //左手武器
    weapon_right: 1, //右手武器
    cloth: 2, //衣服
    pants: 3, //裤子
    belt: 4, //腰带
    helmet: 5, //帽子
    necklace: 6, //项链
    shoe: 7, //鞋子
    glove: 8, //手套 护腕
    kneecap: 9, //护膝
});
var GradeType = cc.Enum({ //品级
    White: 0,
    Green: 1,
    Blue: 2,
    Yellow: 3,
    Red: 4,
});
var ArguType = cc.Enum({
    maxhp: 0, //血量
    endurance: 1,
    maxendurance: 2, //蓝量
    damage: 3, //攻击力
    defens: 4, //防御
    combo_rat: 5, //连击率
    crit_rate: 6, //暴击率
    dodge_endurance: 7, //闪避回蓝
    defense_hp: 8, //格挡回血
    recover_h: 9, //被动回血1/s
    recover_enduranc: 10, //被动回蓝1/s
    block_minus_endurance: 11, //格挡减蓝量
});
cc.Class({
    extends: require("BaseItemConstroller"),

    properties: {
        items_type: { //部位
            default: 0,
            type: cc.Enum(ItemsType)
        },
        gradetype: { //品级
            default: 0,
            type: cc.Enum(GradeType)
        },
        argutype: { //属性
            default: 0,
            type: cc.Enum(ArguType)
        },
    },

    // LIFE-CYCLE CALLBACKS:

    // onLoad () {},

    start() {

    },

    // update (dt) {},
});